Bug 550360 - Review Request: dnstop - Displays information about DNS traffic on your network
Summary: Review Request: dnstop - Displays information about DNS traffic on your network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-24 17:52 UTC by Conrad Meyer
Modified: 2014-03-23 14:33 UTC (History)
6 users (show)

Fixed In Version: dnstop-20121017-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-04 23:16:26 UTC
Type: ---
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Conrad Meyer 2009-12-24 17:52:05 UTC
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/dnstop.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/dnstop-20090128-1.fc11.src.rpm
Description:
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network.

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters.

dnstop can either read packets from the live capture device, or from a
tcpdump savefile.

Comment 1 Conrad Meyer 2009-12-24 17:55:19 UTC
Builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1890572

(This is a super easy package to review -- autotools %configure/make/make install, very few source files, nothing surprising.)

Comment 2 Pavel Alexeev 2010-01-03 16:19:18 UTC
I'll review it.

Comment 3 Pavel Alexeev 2010-01-03 17:27:19 UTC
Legend: + - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.
MUST Items 

[+] MUST: rpmlint must be run on every package. The output should be posted in the review.
[pasha@x-www dnstop]$ rpmlint *
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+/-] MUST: The package must meet the Packaging Guidelines.
You use sed for hack pathes in Makefile. I see more sane way report it issue to upstream and apply temporary patch. Off course if you want you can treat it as Fedora packaging related...
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
$ md5sum  dnstop-20090128_reviewed.tar.gz dnstop-20090128.tar.gz
827a0d2020b157b925411dd30b6feff3  dnstop-20090128_reviewed.tar.gz
827a0d2020b157b925411dd30b6feff3  dnstop-20090128.tar.gz

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1899748                                                                                                     
[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[=] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[=] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[=] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.
SHOULD Items: 

[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Please consider report upstream about paths adjusting. In any case it is not stop-issue.
Package APPROVED.

Comment 4 Conrad Meyer 2010-01-04 00:48:29 UTC
Thanks!

New Package CVS Request
=======================
Package Name: dnstop
Short Description: Displays information about DNS traffic on your network
Owners: konradm
Branches: F-12 F-11
InitialCC:

Comment 5 Kevin Fenzi 2010-01-04 20:07:33 UTC
cvs done.

Comment 6 Conrad Meyer 2010-01-04 23:16:26 UTC
Imported and built in rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1902087

Comment 7 Denis Fateyev 2014-02-21 12:09:29 UTC
If current Fedora maintainer doesn't mind, I'd like to add the package to EPEL.

Package Change Request
======================
Package Name: dnstop
New Branches: el5 el6 epel7
Owners: konradm dfateyev
InitialCC:

Comment 8 Gwyn Ciesla 2014-02-21 12:52:33 UTC
Git done (by process-git-requests).

Comment 9 Conrad Meyer 2014-02-21 14:10:15 UTC
EPEL is all yours :).

Comment 10 Denis Fateyev 2014-03-04 13:07:57 UTC
Firstly, I thought to apply cosmetic corrections to EPEL branches only, but they actually can be befenit for all branches.

Could you apply this to original spec? It's only regarding that we need BuildRoot, "clean" section and BuildRoot removal only in RHEL5.

--- dnstop.spec	2014-03-04 18:20:04.000000000 +0600
+++ dnstop.spec	2014-03-04 18:59:25.000000000 +0600
@@ -1,6 +1,6 @@
 Name:           dnstop
 Version:        20121017
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Displays information about DNS traffic on your network
 Group:          Applications/System
 License:        BSD
@@ -12,7 +12,7 @@
 # Also, check read(2) for entropy data and abort on short reads.
 Patch0:         dnstop-20121017-fix-warnings.diff
 
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+%{?el5:BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}
 BuildRequires:  libpcap-devel
 BuildRequires:  ncurses-devel
 
@@ -40,16 +40,19 @@
 
 
 %install
+%if 0%{?el5}
 rm -rf $RPM_BUILD_ROOT
-
+%endif
 mkdir -p $RPM_BUILD_ROOT%{_bindir}
 mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
 
 make install DESTDIR=$RPM_BUILD_ROOT
 
 
+%if 0%{?el5}
 %clean
 rm -rf $RPM_BUILD_ROOT
+%endif
 
 
 %files
@@ -60,6 +63,9 @@
 
 
 %changelog
+* Mon Mar 03 2014 Denis Fateyev <denis@fateyev.com> - 20121017-3
+- Spec cleanup, epel branches
+
 * Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20121017-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

Comment 11 Conrad Meyer 2014-03-04 13:46:18 UTC
Pushed to rawhide, thanks.

Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6594699

Comment 12 Fedora Update System 2014-03-04 15:11:29 UTC
dnstop-20121017-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dnstop-20121017-3.el5

Comment 13 Fedora Update System 2014-03-04 15:13:15 UTC
dnstop-20121017-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dnstop-20121017-3.el6

Comment 14 Volker Fröhlich 2014-03-04 16:14:50 UTC
- This ticket is the wrong place
- This change doesn't do anything
- There's no need to submit that as an update because it effectively doesn't do a thing for users

Please cancel the update!

Comment 15 Denis Fateyev 2014-03-04 16:25:11 UTC
But why? Conditionals in the spec clean up "BuildRoot" and such like "clean" section usage which are not needed for recent Fedora: https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag . In addition, they provide more common spec for all branches, including EPEL. Changes in specfile require increasing package revision number.

Comment 16 Conrad Meyer 2014-03-04 16:32:21 UTC
Bumping revision number does not require pushing an update to users. Revoked update.

Why is this not the right place? Because this is the review request, bugs should be filed separately.

@Volker, I think the situation is resolved (modulo this is the wrong place for such a bug/patch). Do you agree?

Thanks!

Comment 17 Volker Fröhlich 2014-03-04 19:57:09 UTC
Yes, I agree, Conrad!

Ad "clean up": Making something that's "not required" conditional, only makes the spec file longer and more complex. It's not an improvement; it's neutral at most. The spec file was common already.

Comment 18 Conrad Meyer 2014-03-04 20:02:04 UTC
(In reply to Volker Fröhlich from comment #17)
> Yes, I agree, Conrad!
> 
> Ad "clean up": Making something that's "not required" conditional, only
> makes the spec file longer and more complex. It's not an improvement; it's
> neutral at most. The spec file was common already.

You have a point... I will just nuke the %{el5} bits in master.

Comment 19 Denis Fateyev 2014-03-04 20:57:43 UTC
As for the spec update request, I would better to fill a separate bug, that's right. But, as for the final solution of dropping conditionals, I can't say that the best one is found. It provides two specs instead of solid one; and adds some efforts to track the changes everytime when the upstream is updated.

Comment 20 Rex Dieter 2014-03-04 21:28:51 UTC
Imo, if you want to share a common .spec with el5, then leave the old/deprecated stuff in.  conditionalizing only makes it worse.

Comment 21 Fedora Update System 2014-03-21 22:30:52 UTC
dnstop-20121017-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-03-21 22:33:28 UTC
dnstop-20121017-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Volker Fröhlich 2014-03-23 13:30:03 UTC
Weren't those updates supposed to be canceled?

Comment 24 Denis Fateyev 2014-03-23 13:46:52 UTC
(In reply to Volker Fröhlich from comment #23)
> Weren't those updates supposed to be canceled?
In rawhide: maybe, I haven't checked commits status there recently.
For new branch requested: IMO, there is no sense to cancel anything. Neither any previous versions, not updates existed in there before.

Comment 25 Volker Fröhlich 2014-03-23 14:33:43 UTC
Oh, my bad, I hadn't seen the original comment.


Note You need to log in before you can comment on or make changes to this bug.